Find symbol references
curl --request POST \
--url https://api.example.com/api/find_references \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbolName": "<string>",
"language": "<string>",
"revisionName": "<string>",
"repoName": "<string>"
}
'import requests
url = "https://api.example.com/api/find_references"
payload = {
"symbolName": "<string>",
"language": "<string>",
"revisionName": "<string>",
"repoName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbolName: '<string>',
language: '<string>',
revisionName: '<string>',
repoName: '<string>'
})
};
fetch('https://api.example.com/api/find_references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stats": {
"matchCount": 123
},
"files": [
{
"fileName": "<string>",
"repository": "<string>",
"repositoryId": 123,
"webUrl": "<string>",
"language": "<string>",
"matches": [
{
"lineContent": "<string>",
"range": {
"start": {
"byteOffset": 123,
"lineNumber": 123,
"column": 123
},
"end": {
"byteOffset": 123,
"lineNumber": 123,
"column": 123
}
}
}
]
}
],
"repositoryInfo": [
{
"id": 123,
"name": "<string>",
"displayName": "<string>",
"webUrl": "<string>"
}
]
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"errorCode": "<string>",
"message": "<string>"
}Search & Navigation
Find symbol references
Returns all locations in the codebase where the given symbol is referenced.
POST
/
api
/
find_references
Find symbol references
Authorizations
bearerTokenapiKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your API key.
Was this page helpful?
⌘I

